Subject: Re: PostgreSQL 7.4.1 anyone?
To: D'Arcy J.M. Cain <>
From: Gavan Fantom <>
List: tech-pkg
Date: 01/12/2004 12:57:22
On Mon, 12 Jan 2004, D'Arcy J.M. Cain wrote:

> Which leaves users with the same problem.  they upgrade an existing package
> and suddenly their existing databases are unusable.  The point is that they
> are different packages.  If you call the new one postgresql74 then anyone
> upgrading to it knows that it is different and that a dump and reload is
> necessary.

Could the deinstall script not dump the data into some "standard"
location, to be used by a subsequent install script if necessary?

I know this doesn't really help existing users, but this scheme might help
for future incompatible versions.

Should probably apply to MySQL as well.

Gillette - the best a man can forget